<?php
require 'acesso.php';
	$res = array();
	
	//$con = new PDO("mysql:dbname=$database; charset=utf8", $usuario , $senha);
	if (isset($_POST['contagem'])) {
		$ret = $con->prepare("SELECT COUNT(arcodigo) AS contagem FROM estoque_imagem WHERE arcodigo IS NOT NULL AND arimagem IS NOT NULL");
	} else if (isset($_POST['linha'])){
		$linha = $_POST['linha'];
		$ret = $con->prepare("SELECT arcodigo, arimagem FROM estoque_imagem WHERE arcodigo IS NOT NULL AND arimagem IS NOT NULL LIMIT $linha, 4");
	} else {
		$ret = $con->prepare("SELECT arcodigo, arimagem FROM estoque_imagem WHERE arcodigo IS NOT NULL AND arimagem IS NOT NULL");
	}
	$ret->execute();
	$mensagem = $ret->errorInfo();
	if ($mensagem[0] = "00000") {
		$res["estoque_imagem"] = array();
		if ($ret->rowCount() > 0) {
			//$res["estoque_imagem"] = array();
			while ($row = $ret->fetch(PDO::FETCH_ASSOC)) {
				array_push($res["estoque_imagem"], $row);
			}
			
		}
		$res["sucesso"] = 1;
	} else {
		
		$res["sucesso"] = 0;
		$res["mensagem"] = $mensagem[2];
	}
	echo json_encode($res);
	$con = null;
?>